### Enumeration

# FwupdPlugin ElfSectionHeaderType

#### Declaration

    enum FwupdPlugin.ElfSectionHeaderType

#### Description

No description available.

#### Members

`FU_ELF_SECTION_HEADER_TYPE_NULL`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_PROGBITS`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_SYMTAB`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_STRTAB`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_RELA`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_HASH`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_DYNAMIC`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_NOTE`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_NOBITS`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_REL`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_SHLIB`

  No description available.

  - Value: `10`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_DYNSYM`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_INIT_ARRAY`

  No description available.

  - Value: `14`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_FINI_ARRAY`

  No description available.

  - Value: `15`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_PREINIT_ARRAY`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_GROUP`

  No description available.

  - Value: `17`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_SYMTAB_SHNDX`

  No description available.

  - Value: `18`
  - Available since: 1.0
`FU_ELF_SECTION_HEADER_TYPE_NUM`

  No description available.

  - Value: `19`
  - Available since: 1.0